QXmpp: QXmppDataForm::Field Class Reference

QXmpp Version:0.7.5

- Main Page
- Modules
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Functions Variables Enumerations Enumerator Properties Groups
Public Types | Public Member Functions | List of all members
QXmppDataForm::Field Class Reference

The QXmppDataForm::Field class represents a data form field as defined by XEP-0004: Data Forms. More...

`#include <QXmppDataForm.h>`

## Public Types
enum | Type { BooleanField, FixedField, HiddenField, JidMultiField, JidSingleField, ListMultiField, ListSingleField, TextMultiField, TextPrivateField, TextSingleField }
| This enum is used to describe a field's type.

## Public Member Functions
| Field (QXmppDataForm::Field::Type type=QXmppDataForm::Field::TextSingleField)
| Constructs a QXmppDataForm::Field of the specified type.
| Field (const QXmppDataForm::Field &other)
| Constructs a copy of other.
| ~Field ()
| Destroys the form field.
QXmppDataForm::Field & | operator= (const QXmppDataForm::Field &other)
| Assigns other to this field.
QString | description () const
| Returns the field's description.
void | setDescription (const QString &description)
QString | key () const
| Returns the field's key.
void | setKey (const QString &key)
QString | label () const
| Returns the field's label.
void | setLabel (const QString &label)
Media | media () const
| Returns the field's media.
void | setMedia (const Media &media)
| Sets the field's media.
QList< QPair< QString, QString > > | options () const
| Returns the field's options.
void | setOptions (const QList< QPair< QString, QString > > &options)
bool | isRequired () const
| Returns true if the field is required, false otherwise.
void | setRequired (bool required)
QXmppDataForm::Field::Type | type () const
| Returns the field's type.
void | setType (QXmppDataForm::Field::Type type)
QVariant | value () const
| Returns the field's value.
void | setValue (const QVariant &value)

## Detailed Description

The QXmppDataForm::Field class represents a data form field as defined by XEP-0004: Data Forms.

## Member Function Documentation

void QXmppDataForm::Field::setDescription | ( | const QString & | description | ) |

Sets the field's description.

Parameters

  description |

void QXmppDataForm::Field::setKey | ( | const QString & | key | ) |

Sets the field's key.

Parameters

  key |

void QXmppDataForm::Field::setLabel | ( | const QString & | label | ) |

Sets the field's label.

Parameters

  label |

void QXmppDataForm::Field::setOptions | ( | const QList< QPair< QString, QString > > & | options | ) |

Sets the field's options.

Parameters

  options |

void QXmppDataForm::Field::setRequired | ( | bool | required | ) |

Set to true if the field is required, false otherwise.

Parameters

  required |

void QXmppDataForm::Field::setType | ( | QXmppDataForm::Field::Type | type | ) |

Sets the field's type.

Parameters

  type |

void QXmppDataForm::Field::setValue | ( | const QVariant & | value | ) |

Sets the field's value.

Parameters

  value |

The documentation for this class was generated from the following files:

- QXmppDataForm.h
- QXmppDataForm.cpp